Groovy Documentation

## groovy.mock.interceptor
[Groovy] Class Ignore

    java.lang.Object
      groovy.mock.interceptor.Ignore

    class Ignore

Helper object to support convenience "ignore.methodName" notation similar to demand notation. Can't be used with methods within `java.lang.Object`.

Authors:
  Paul King

Property Summary
`java.lang.Object` | `parent`

Method Summary
`java.lang.Object` | `invokeMethod(java.lang.String methodName, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### parent

    java.lang.Object parent

Method Detail

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String methodName, java.lang.Object args)

Groovy Documentation